Associates a calendar with the given schedule by adding the calendarId to a schedule

http
PUT https://services.leadconnectorhq.com/calendars/schedules/{id}/associations/{calendarId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
idstringYesIkqiJlXJ7o9h61tCHHodUnique identifier of the schedule
calendarIdstringYesWvVX9LpvlBO6K506xLbpUnique identifier of the team calendar to add to the schedule

Responses

200 - Calendar successfully added to schedule
  • success (boolean): Example: True

json
{
  "success": true
}
400 - Schedule and calendar must belong to the same account
json
{}
401 - User not authenticated
json
{}
404 - Schedule or calendar not found
json
{}

Example

curl -X PUT 'https://services.leadconnectorhq.com/calendars/schedules/YOUR_id/associations/YOUR_calendarId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?